# Get started

Install [Tox](http://tox.readthedocs.io/).

# Run tests

``` bash
$ tox -e test
```

# Lint source

``` bash
$ tox -e lint
```

# Format source

``` bash
$ tox -e format
```

# Type check source

``` bash
$ tox -e type
```

# Build the documentation

``` bash
$ tox -e docs
$ tox -e docs-livereload
```

# Make a new release

Ensure metadata for packaging is correct.

``` bash
$ tox -e metadata-release
```

Generate the changelog with the next target version.

``` bash
$ export VERSION=1.0.1 tox -e changelog
```

Make a new Git tag.

``` bash
$ git tag  -a 1.0.1
```

And finally, make a new release.

``` bash
$ tox -e release
